
<div class="card shadow-sm" *ngIf="tt_exists === 'yes'">
    <div class="card-header">
        <h3 class="card-title" i18n>Transparency Tag for data buyer ACME</h3>
    </div>
    <div class="card-body top-card-label">
        <div style="display: flex;" class="d-flex justify-content-evenly">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title" i18n>Information provided by ACME</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Declared company name</label>
                        <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.declared_company_name }}</span></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Website</label>
                        <div class="col-lg-8 fv-row"><a [href]="this.receivedData.provided_information.website" class="fw-bolder fs-6 text-dark text-hover-primary">{{receivedData.provided_information.website}}</a></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Country<i  title="Phone number must be active" class=" ms-1 fs-7"></i></label>
                        <div class="col-lg-8 d-flex align-items-center"><span class="fw-bolder fs-6 me-2">{{ receivedData.provided_information.country }}</span></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Category</label>
                        <div class="col-lg-8"><a href="#" class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.provided_information.category }}</a></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Purpose of data collection<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
                        <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_processing_purpose }}</span></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Data owner</label>
                        <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller }}</span></div>
                     </div>
                     <div class="row mb-10">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Data processor</label>
                        <div class="col-lg-8"><span class="fw-bolder fs-6">{{ receivedData.provided_information.data_processor }}</span></div>
                     </div>
                </div>

                <div class="card-footer">
                    <div class="btn-view-more-container">
                        <div class="row justify-content-center">
                                <a (click)="informationProvidedModal(information_provided_modal_content)" class="btn btn-light-primary  btn-view-more" i18n>View more</a>
                        </div>
                     </div>
                </div>
            </div>
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title" i18n>Webdata</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Company name</label>
                        <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.webdata.company_name }}</span></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Operates under</label>
                        <div class="col-lg-8 fv-row"><a [href]="receivedData.webdata.operates_under" class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.operates_under }}</a></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Category<i  title="Phone number must be active" class=" ms-1 fs-7"></i></label>
                        <div class="col-lg-8 d-flex align-items-center" >
                            <span *ngFor="let category of receivedData.webdata.categories; last as isLast"  class="fw-bolder fs-6 me-2">
                                <p *ngIf="!isLast">{{category}},</p>
                                <p *ngIf="isLast">{{category}}</p>
                            </span>
                    </div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Rank in category</label>
                        <div class="col-lg-8"><a class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.rank_in_category }}/10</a></div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Connected third-party services<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
                        <div class="col-lg-8">
                            <ul *ngFor="let service of third_parties_preview" class="list-group list-group-flush">
                                <li class="list-group-item">
                                    {{service}}
                                </li>
                            </ul>
                        </div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Third Party</label>
                        <div class="col-lg-8" *ngIf="receivedData.webdata.third_party"><span class="fw-bolder fs-6 text-dark" i18n>True</span></div>
                        <div class="col-lg-8" *ngIf="!receivedData.webdata.third_party"><span class="fw-bolder fs-6 text-dark" i18n>False</span></div>
                     </div>
                </div>
                <div class="card-footer">
                    <div class="btn-view-more-container">
                        <div class="row justify-content-center">
                                <a (click)="webdataModal(webdata_modal_content)" class="btn btn-light-primary btn-view-more" i18n>View more</a>
                        </div>
                     </div>
                </div>
            </div>
        </div>
        <div style="display: flex;" class="d-flex p-2 justify-content-evenly">
            <div class="card shadow-sm w-50 mt-5">
                <div class="card-header">
                    <h3 class="card-title" i18n>Scores</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Privacy score</label>
                        <div class="col-lg-8">
                            <div class="rating">
                                <div *ngFor="let i of [].constructor(receivedData.scores.privacy_score)" class="rating-label me-2 checked">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                                <div *ngFor="let i of [].constructor(5 - receivedData.scores.privacy_score)" class="rating-label me-2">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                            </div>
                        </div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Transparency score</label>
                        <div class="col-lg-8">
                            <div class="rating">
                                <div *ngFor="let i of [].constructor(receivedData.scores.transparency_score)" class="rating-label me-2 checked">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                                <div *ngFor="let i of [].constructor(5 - receivedData.scores.transparency_score)" class="rating-label me-2">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                            </div>
                        
                        </div>
                     </div>
                     <div class="row mb-7">
                        <label class="col-lg-4 fw-bold text-muted" i18n>Security score</label>
                        <div class="col-lg-8">
                            <div class="rating">
                                <div *ngFor="let i of [].constructor(receivedData.scores.security_score)" class="rating-label me-2 checked">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                                <div *ngFor="let i of [].constructor(5 - receivedData.scores.security_score)" class="rating-label me-2">
                                    <i class="bi bi-star fs-1"></i>
                                </div>
                            </div>                        
                        </div>
                     </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card shadow-sm" *ngIf="tt_exists === 'no'">
    <div class="card-header">
        <h3 class="card-title" i18n>Transparency tag not available</h3>
    </div>

    <div class="card-body">
        <label i18n>The transparency tag for this website has not been made available yet.</label>
    </div>


</div>

<!-- INFORMATION PROVIDED MODAL START -->
 <ng-template #information_provided_modal_content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title" i18n>Information provided by {{ receivedData.provided_information.declared_company_name }}</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="row mb-7">
            <div class="col"><span class="fw-bolder fs-6 text-dark" i18n>General information</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Declared company name</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.declared_company_name }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Website</label>
            <div class="col-lg-8 fv-row"><a [href]="this.receivedData.provided_information.website" class="fw-bolder fs-6 text-dark text-hover-primary">{{receivedData.provided_information.website}}</a></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Country<i  title="Phone number must be active" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8 d-flex align-items-center"><span class="fw-bolder fs-6 me-2">{{ receivedData.provided_information.country }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Category</label>
            <div class="col-lg-8"><a href="#" class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.provided_information.category }}</a></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>User rights<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.user_rights }}</span></div>
         </div>
         <div class="separator border-2 mb-5"></div>
        <div class="row mb-7">
            <div class="col"><span class="fw-bolder fs-6 text-dark">Data information</span></div>
         </div>
       
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data location<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_location }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data processed<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_processed }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data processing legal basis<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_processing_legal_basis }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Purpose of data collection<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_processing_purpose }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data transfer<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_transfer }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data for automatic decision<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_for_automatic_decision }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data recipients<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.provided_information.data_recipients" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data retention period<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_retention_period }}</span></div>
         </div>

         <div class="separator border-2 mb-5"></div>
         <div class="row mb-7">
            <div class="col"><span class="fw-bolder fs-6 text-dark" i18n>Data Controller information</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data owner</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Contact address</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller_contact_address }}</span></div>
         </div>         
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Contact mail</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller_contact_mail }}</span></div>
         </div>         
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Contact phone</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller_contact_phone }}</span></div>
         </div>         
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Identity</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.data_controller_identity }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data processor</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6">{{ receivedData.provided_information.data_processor }}</span></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Data subprocessors<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.provided_information.data_subprocessors" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>


         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Consent withdraw</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.consent_withdraw }}</span></div>
         </div>      
         <div class="separator border-2 mb-5"></div>
         <div class="row mb-7">
            <div class="col"><span class="fw-bolder fs-6 text-dark" i18n>DPO Information</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>DPO Address</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.dpo_contact_address }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>DPO Mail</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.dpo_contact_mail }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>DPO Phone</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.provided_information.dpo_contact_phone }}</span></div>
         </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="modal.close('done')" i18n>Done</button>
    </div>

</ng-template>
<!-- INFORMATION PROVIDED MODAL END -->

<!-- WEBDATA MODAL START -->

<ng-template #webdata_modal_content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title" i18n>Webdata from {{ receivedData.webdata.company_name }}</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Company name</label>
            <div class="col-lg-8"><span class="fw-bolder fs-6 text-dark">{{ receivedData.webdata.company_name }}</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Operates under</label>
            <div class="col-lg-8 fv-row"><a [href]="receivedData.webdata.operates_under" class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.operates_under }}</a></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Category<i  title="Phone number must be active" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8 d-flex align-items-center" >
                <span *ngFor="let category of receivedData.webdata.categories; last as isLast"  class="fw-bolder fs-6 me-2">
                    <p *ngIf="!isLast">{{category}},</p>
                    <p *ngIf="isLast">{{category}}</p>
                </span>
        </div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Rank in category</label>
            <div class="col-lg-8"><a class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.rank_in_category }}/10</a></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Connected websites<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.webdata.connected_websites" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Presence in security lists<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.webdata.presence_in_security_lists" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Third Party</label>
            <div class="col-lg-8" *ngIf="receivedData.webdata.third_party"><span class="fw-bolder fs-6 text-dark">True</span></div>
            <div class="col-lg-8" *ngIf="!receivedData.webdata.third_party"><span class="fw-bolder fs-6 text-dark">False</span></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Privacy policy</label>
            <div class="col-lg-8 fv-row"><a class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.privacy_policy }}</a></div>
         </div>
         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Reach</label>
            <div class="col-lg-8 fv-row"><a class="fw-bolder fs-6 text-dark text-hover-primary">{{ receivedData.webdata.reach }}</a></div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Tracking devices<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.webdata.tracking_devices" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>

         <div class="row mb-7">
            <label class="col-lg-4 fw-bold text-muted" i18n>Connected third-party services<i  title="Country of origination" class=" ms-1 fs-7"></i></label>
            <div class="col-lg-8">
                <ul *ngFor="let service of receivedData.webdata.connected_third_parties" class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{service}}
                    </li>
                </ul>
            </div>
         </div>
    </div>

    <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="modal.close('done')" i18n>Done</button>
    </div>
</ng-template>
<!-- WEBDATA MODAL END -->
<ngx-spinner></ngx-spinner>